GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation Class Reference

## Public Member Functions
String | getStreet ()
void | setStreet (String value)
String | getStreetNumber ()
void | setStreetNumber (String value)
String | getCountryCode ()
void | setCountryCode (String value)
String | getProvince ()
void | setProvince (String value)
String | getZIPCode ()
void | setZIPCode (String value)
String | getCity ()
void | setCity (String value)
String | getDistance ()
void | setDistance (String value)
String | getMaxNumberOfShops ()
void | setMaxNumberOfShops (String value)
String | getParcelShopType ()
void | setParcelShopType (String value)

## Protected Attributes
String | street
String | streetNumber
String | countryCode
String | province
String | zipCode
String | city
String | distance
String | maxNumberOfShops
String | parcelShopType

## Detailed Description

Address area to search for parcel shops

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Street" type="{http://fpcs.gls-group.eu/v1/ParcelShop}StreetName" minOccurs="0"/>
            <element name="StreetNumber" type="{http://fpcs.gls-group.eu/v1/Common}StreetNumber" minOccurs="0"/>
            <element name="CountryCode" type="{http://fpcs.gls-group.eu/v1/ParcelShop}CountryCode"/>
            <element name="Province" type="{http://fpcs.gls-group.eu/v1/Common}Province" minOccurs="0"/>
            <element name="ZIPCode" type="{http://fpcs.gls-group.eu/v1/Common}ZIPCode"/>
            <element name="City" type="{http://fpcs.gls-group.eu/v1/Common}City" minOccurs="0"/>
            <element name="Distance" type="{http://fpcs.gls-group.eu/v1/ParcelShop}Radius" minOccurs="0"/>
            <element name="MaxNumberOfShops" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="ParcelShopType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 53 of file ParcelShopSearchLocation.java.

## Member Function Documentation

## ◆ getCity()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.getCity | ( |  | ) |

Gets the value of the city property.

Returns
  possible object is String

Definition at line 202 of file ParcelShopSearchLocation.java.

## ◆ getCountryCode()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.getCountryCode | ( |  | ) |

Gets the value of the countryCode property.

Returns
  possible object is String

Definition at line 130 of file ParcelShopSearchLocation.java.

## ◆ getDistance()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.getDistance | ( |  | ) |

Gets the value of the distance property.

Returns
  possible object is String

Definition at line 226 of file ParcelShopSearchLocation.java.

## ◆ getMaxNumberOfShops()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.getMaxNumberOfShops | ( |  | ) |

Gets the value of the maxNumberOfShops property.

Returns
  possible object is String

Definition at line 250 of file ParcelShopSearchLocation.java.

## ◆ getParcelShopType()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.getParcelShopType | ( |  | ) |

Gets the value of the parcelShopType property.

Returns
  possible object is String

Definition at line 274 of file ParcelShopSearchLocation.java.

## ◆ getProvince()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.getProvince | ( |  | ) |

Gets the value of the province property.

Returns
  possible object is String

Definition at line 154 of file ParcelShopSearchLocation.java.

## ◆ getStreet()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.getStreet | ( |  | ) |

Gets the value of the street property.

Returns
  possible object is String

Definition at line 82 of file ParcelShopSearchLocation.java.

## ◆ getStreetNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.getStreetNumber | ( |  | ) |

Gets the value of the streetNumber property.

Returns
  possible object is String

Definition at line 106 of file ParcelShopSearchLocation.java.

## ◆ getZIPCode()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.getZIPCode | ( |  | ) |

Gets the value of the zipCode property.

Returns
  possible object is String

Definition at line 178 of file ParcelShopSearchLocation.java.

## ◆ setCity()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.setCity | ( | String | value | ) |

Sets the value of the city property.

Parameters

  value | allowed object is String

Definition at line 214 of file ParcelShopSearchLocation.java.

## ◆ setCountryCode()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.setCountryCode | ( | String | value | ) |

Sets the value of the countryCode property.

Parameters

  value | allowed object is String

Definition at line 142 of file ParcelShopSearchLocation.java.

## ◆ setDistance()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.setDistance | ( | String | value | ) |

Sets the value of the distance property.

Parameters

  value | allowed object is String

Definition at line 238 of file ParcelShopSearchLocation.java.

## ◆ setMaxNumberOfShops()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.setMaxNumberOfShops | ( | String | value | ) |

Sets the value of the maxNumberOfShops property.

Parameters

  value | allowed object is String

Definition at line 262 of file ParcelShopSearchLocation.java.

## ◆ setParcelShopType()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.setParcelShopType | ( | String | value | ) |

Sets the value of the parcelShopType property.

Parameters

  value | allowed object is String

Definition at line 286 of file ParcelShopSearchLocation.java.

## ◆ setProvince()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.setProvince | ( | String | value | ) |

Sets the value of the province property.

Parameters

  value | allowed object is String

Definition at line 166 of file ParcelShopSearchLocation.java.

## ◆ setStreet()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.setStreet | ( | String | value | ) |

Sets the value of the street property.

Parameters

  value | allowed object is String

Definition at line 94 of file ParcelShopSearchLocation.java.

## ◆ setStreetNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.setStreetNumber | ( | String | value | ) |

Sets the value of the streetNumber property.

Parameters

  value | allowed object is String

Definition at line 118 of file ParcelShopSearchLocation.java.

## ◆ setZIPCode()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.setZIPCode | ( | String | value | ) |

Sets the value of the zipCode property.

Parameters

  value | allowed object is String

Definition at line 190 of file ParcelShopSearchLocation.java.

## Member Data Documentation

## ◆ city

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.city
| protected

Definition at line 66 of file ParcelShopSearchLocation.java.

## ◆ countryCode

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.countryCode
| protected

Definition at line 60 of file ParcelShopSearchLocation.java.

## ◆ distance

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.distance
| protected

Definition at line 68 of file ParcelShopSearchLocation.java.

## ◆ maxNumberOfShops

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.maxNumberOfShops
| protected

Definition at line 70 of file ParcelShopSearchLocation.java.

## ◆ parcelShopType

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.parcelShopType
| protected

Definition at line 72 of file ParcelShopSearchLocation.java.

## ◆ province

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.province
| protected

Definition at line 62 of file ParcelShopSearchLocation.java.

## ◆ street

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.street
| protected

Definition at line 56 of file ParcelShopSearchLocation.java.

## ◆ streetNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.streetNumber
| protected

Definition at line 58 of file ParcelShopSearchLocation.java.

## ◆ zipCode

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation.zipCode
| protected

Definition at line 64 of file ParcelShopSearchLocation.java.

The documentation for this class was generated from the following file:

- ParcelShopSearchLocation.java